Package org.bukkit

# Enum Class SoundCategory

java.lang.Object
java.lang.Enum<SoundCategory>
org.bukkit.SoundCategory

All Implemented Interfaces:
  `Serializable`, `Comparable<SoundCategory>`, `Constable`, `Sound.Source.Provider`

public enum SoundCategory extends Enum<SoundCategory> implements Sound.Source.Provider
An Enum of categories for sounds.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AMBIENT`
`BLOCKS`
`HOSTILE`
`MASTER`
`MUSIC`
`NEUTRAL`
`PLAYERS`
`RECORDS`
`VOICE`
`WEATHER`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Sound.Source`
`soundSource()`
Gets the source.
`static SoundCategory`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SoundCategory[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MASTER

public static final SoundCategory MASTER

### MUSIC

public static final SoundCategory MUSIC

### RECORDS

public static final SoundCategory RECORDS

### WEATHER

public static final SoundCategory WEATHER

### BLOCKS

public static final SoundCategory BLOCKS

### HOSTILE

public static final SoundCategory HOSTILE

### NEUTRAL

public static final SoundCategory NEUTRAL

### PLAYERS

public static final SoundCategory PLAYERS

### AMBIENT

public static final SoundCategory AMBIENT

### VOICE

public static final SoundCategory VOICE

## Method Details

### values

public static SoundCategory[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SoundCategory valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### soundSource

public @NotNull Sound.Source soundSource()
Description copied from interface: `net.kyori.adventure.sound.Sound.Source.Provider`
Gets the source.

Specified by:
  `soundSource` in interface `Sound.Source.Provider`
Returns:
  the source